#!/bin/bash 

# converte in minuscolo i file o cartelle passati come argomento

if [ $# -lt 1 ]
then
    echo "usage: $0 file_list"
    exit 1
fi

for i in $@
do
    # connverte il nome in minuscolo
    lower=$(echo "$i" | tr '[A-Z]' '[a-z]')

    if [ "$i" = "$lower" ]
    then
	continue   # name is already in lower case
    elif [ -f "$lower" -o -d "$lower" ]
    then
	echo "could not rename $i: $lower exists already"
	continue
    fi

    mv "$i" "$lower"
    
done
